searchNodes=[{"doc":"This library provides a mechanism for automatically forming clusters of Erlang nodes, with either static or dynamic node membership without configurations.","ref":"Galaxy.html","title":"Galaxy","type":"module"},{"doc":"This topologying strategy works by loading all your Erlang nodes (within Pods) in the current DNS namespace. It will fetch the targets of all pods under a shared headless service and attempt to connect. It will continually monitor and update its connections every 5s. It assumes that all Erlang nodes were launched under a base name, are using longnames, and are unique based on their FQDN, rather than the base hostname. In other words, in the following longname, &lt;basename&gt;@&lt;ip&gt;, basename would be the value configured through application_name.","ref":"Galaxy.DNS.html","title":"Galaxy.DNS","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Galaxy.DNS.html#child_spec/1","title":"Galaxy.DNS.child_spec/1","type":"function"},{"doc":"","ref":"Galaxy.DNS.html#start_link/1","title":"Galaxy.DNS.start_link/1","type":"function"},{"doc":"This topologying strategy relies on Erlang&#39;s built-in distribution protocol by using a .hosts.erlang file (as used by the :net_adm module). Please see the net_adm docs for more details. In short, the following is the gist of how it works: File .hosts.erlang consists of a number of host names written as Erlang terms. It is looked for in the current work directory, the user&#39;s home directory, and $OTP_ROOT (the root directory of Erlang/OTP), in that order. This looks a bit like the following in practice: &#39;super.eua.ericsson.se&#39;. &#39;renat.eua.ericsson.se&#39;. &#39;grouse.eua.ericsson.se&#39;. &#39;gauffin1.eua.ericsson.se&#39;. An optional timeout can be specified in the config. This is the timeout that will be used in the GenServer to connect the nodes. This defaults to :infinity meaning that the connection process will only happen when the worker is started. Any integer timeout will result in the connection process being triggered. In the example above, it has been configured for 30 seconds.","ref":"Galaxy.Host.html","title":"Galaxy.Host","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Galaxy.Host.html#child_spec/1","title":"Galaxy.Host.child_spec/1","type":"function"},{"doc":"","ref":"Galaxy.Host.html#start_link/1","title":"Galaxy.Host.start_link/1","type":"function"},{"doc":"Topology interface for cluster formation.","ref":"Galaxy.Topology.html","title":"Galaxy.Topology","type":"behaviour"},{"doc":"","ref":"Galaxy.Topology.html#c:connects/1","title":"Galaxy.Topology.connects/1","type":"callback"},{"doc":"","ref":"Galaxy.Topology.html#c:disconnects/1","title":"Galaxy.Topology.disconnects/1","type":"callback"},{"doc":"","ref":"Galaxy.Topology.html#c:members/0","title":"Galaxy.Topology.members/0","type":"callback"},{"doc":"Native Erlang Distribution interface.","ref":"Galaxy.Topology.Dist.html","title":"Galaxy.Topology.Dist","type":"module"},{"doc":"Callback implementation for Galaxy.Topology.connects/1.","ref":"Galaxy.Topology.Dist.html#connects/1","title":"Galaxy.Topology.Dist.connects/1","type":"function"},{"doc":"Callback implementation for Galaxy.Topology.disconnects/1.","ref":"Galaxy.Topology.Dist.html#disconnects/1","title":"Galaxy.Topology.Dist.disconnects/1","type":"function"},{"doc":"Callback implementation for Galaxy.Topology.members/0.","ref":"Galaxy.Topology.Dist.html#members/0","title":"Galaxy.Topology.Dist.members/0","type":"function"}]